import _Object$keys from 'babel-runtime/core-js/object/keys';
import _extends from 'babel-runtime/helpers/extends';
import _objectWithoutProperties from 'babel-runtime/helpers/objectWithoutProperties';
import React from 'react';
import PropTypes from 'prop-types';
import Icon from './Icon';

var IconAim = {
  top: '0deg',
  up: '0deg',
  right: '90deg',
  bottom: '180deg',
  down: '180deg',
  left: '270deg'
};

var DirectionalIcon = function DirectionalIcon(_ref) {
  var aim = _ref.aim,
      _ref$transform = _ref.transform,
      transform = _ref$transform === undefined ? '' : _ref$transform,
      props = _objectWithoutProperties(_ref, ['aim', 'transform']);

  return React.createElement(Icon, _extends({ transform: transform + ' rotate(' + IconAim[aim] + ')' }, props));
};

DirectionalIcon.propTypes = _extends({}, Icon.propTypes, {
  aim: PropTypes.oneOf(_Object$keys(IconAim))
});

DirectionalIcon.defaultProps = _extends({}, Icon.defaultProps, {
  aim: 'right'
});

export default DirectionalIcon;