import theme from './theme';
import App from './App';
import Fonts from './Fonts';
import GlobalStyles from './GlobalStyles';
import Box from './Box';
import Input from './Input';
import Textarea from './Textarea';
import Alert from './Alert';
import SearchInput from './SearchInput';
import Select from './Select';
import Text from './Text';
import Code from './Code';
import CodeBlock from './CodeBlock';
import Link from './Link';
import Pill from './Pill';
import Pane from './Pane';
import Button from './Button';
import Avatar from './Avatar';
import SegmentLogo from './SegmentLogo';
import SegmentIcon from './SegmentIcon';
import Spinner from './Spinner';
import Sheet from './Sheet';
import BottomSheet from './BottomSheet';
import Dialog from './Dialog';
import CornerDialog from './CornerDialog';
import ValidationMessage from './ValidationMessage';
import withLoader from './withLoader';
import Popover from './Popover';
import Portal from './Portal';
import Radio from './Radio';
import SegmentedControl from './SegmentedControl';
import Icon from './Icon';
import DirectionalIcon from './DirectionalIcon';
import Triangle from './Triangle';
import DoubleTriangle from './DoubleTriangle';
import Arrow from './Arrow';
import Chevron from './Chevron';
import Close from './Close';
import ExclamationCircle from './ExclamationCircle';
import CheckCircle from './CheckCircle';
import SearchIcon from './SearchIcon';
import DragIcon from './DragIcon';
import HelpIcon from './HelpIcon';
import CogIcon from './CogIcon';
import SuccessAlertIcon from './SuccessAlertIcon';
import QuestionAlertIcon from './QuestionAlertIcon';
import DangerAlertIcon from './DangerAlertIcon';
import WarningAlertIcon from './WarningAlertIcon';
import ArchiveIcon from './ArchiveIcon';
import UnarchiveIcon from './UnarchiveIcon';
import PlusCircleIcon from './PlusCircleIcon';
import FilterIcon from './FilterIcon';
import Pagination from './Pagination';

import { Display1, Display2, Display3, Display4, Display5, Body1, Body2, Caps1, Caps2 } from './TextStyles';

import { NavigationBar, NavigationBarTitle, NavigationBarLink } from './NavigationBar';

import { SubNavigationBar, SubNavigationBarLink, SubNavigationBarTitle } from './SubNavigationBar';

import { Sidebar, SidebarLink } from './Sidebar';

import { Space, SpaceType } from './Space';

var minorScale = theme.minorScale,
    majorScale = theme.majorScale;


export { theme, minorScale, majorScale, App, Fonts, GlobalStyles, Box, Alert, Input, Radio, SegmentedControl, Textarea, SearchInput, Select, Text, Code, CodeBlock, Link, Pill, Pane, Button, Avatar, SegmentLogo, SegmentIcon, Spinner, Sheet, BottomSheet, Dialog, CornerDialog, ValidationMessage, withLoader, Popover, Portal, Pagination, Display1, Display2, Display3, Display4, Display5, Body1, Body2, Caps1, Caps2, Icon, ArchiveIcon, DirectionalIcon, Triangle, DoubleTriangle, Arrow, Chevron, Close, ExclamationCircle, CheckCircle, SearchIcon, DragIcon, HelpIcon, CogIcon, UnarchiveIcon, SuccessAlertIcon, QuestionAlertIcon, DangerAlertIcon, WarningAlertIcon, PlusCircleIcon, FilterIcon, NavigationBar, NavigationBarTitle, NavigationBarLink, SubNavigationBar, SubNavigationBarLink, SubNavigationBarTitle, Sidebar, SidebarLink, Space, SpaceType };