import _extends from 'babel-runtime/helpers/extends';
import _objectWithoutProperties from 'babel-runtime/helpers/objectWithoutProperties';
import PropTypes from 'prop-types';
import { css } from 'glamor';
import cx from 'classnames';

export var propTypes = {
  clearfix: PropTypes.bool
};

var cssClearfix = css({
  '&:before, &:after': {
    display: 'table',
    clear: 'both',
    content: '""'
  }
});

var parseProps = function parseProps(_ref) {
  var clearfix = _ref.clearfix,
      className = _ref.className,
      props = _objectWithoutProperties(_ref, ['clearfix', 'className']);

  return _extends({
    className: clearfix ? cx('' + cssClearfix, className) : className
  }, props);
};
export { parseProps };