import _extends from 'babel-runtime/helpers/extends';
import _objectWithoutProperties from 'babel-runtime/helpers/objectWithoutProperties';
import PropTypes from 'prop-types';
import objectValues from 'object-values';

var TextAlign = {
  LEFT: 'left',
  RIGHT: 'right',
  CENTER: 'center'
};

export var propTypes = {
  textAlign: PropTypes.oneOf(objectValues(TextAlign))
};

var parseProps = function parseProps(_ref) {
  var textAlign = _ref.textAlign,
      style = _ref.style,
      props = _objectWithoutProperties(_ref, ['textAlign', 'style']);

  var styles = {};

  styles.textAlign = textAlign;

  return _extends({ style: _extends({}, styles, style) }, props);
};
export { parseProps };