'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _glamor = require('glamor');

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var createURLS = function createURLS(path) {
  return '\n  url(https://static.segment.com/fonts/' + path + '.woff2) format(\'woff2\'),\n  url(https://static.segment.com/fonts/' + path + '.woff) format(\'woff\')\n';
};

var Fonts = function (_Component) {
  _inherits(Fonts, _Component);

  function Fonts() {
    _classCallCheck(this, Fonts);

    return _possibleConstructorReturn(this, (Fonts.__proto__ || Object.getPrototypeOf(Fonts)).apply(this, arguments));
  }

  _createClass(Fonts, [{
    key: 'componentDidMount',
    value: function componentDidMount() {
      _glamor.css.fontFace({
        fontFamily: 'Droid Sans Mono',
        src: 'local(\'Droid Sans Mono\'),\n          ' + createURLS('droid-sans-mono/droid-sans-mono'),
        fontStyle: 'normal',
        fontWeight: '400'
      });

      _glamor.css.fontFace({
        fontFamily: 'Segment Aleo',
        src: 'local(\'Aleo\'),\n        ' + createURLS('aleo/aleo'),
        fontStyle: 'normal',
        fontWeight: '400'
      });

      _glamor.css.fontFace({
        fontFamily: 'Segment Aleo',
        src: 'local(\'Aleo\'),\n        ' + createURLS('aleo/aleo'),
        fontStyle: 'normal',
        fontWeight: '400'
      });

      _glamor.css.fontFace({
        fontFamily: 'Segment Circular Std',
        src: 'local(\'Circular Std Book\'),\n           local(\'CircularStd-Book\'),\n           ' + createURLS('circular/circular-std-book'),
        fontStyle: 'normal',
        fontWeight: '400'
      });

      _glamor.css.fontFace({
        fontFamily: 'Segment Circular Std',
        src: 'local(\'Circular Std Book Italic\'),\n           local(\'CircularStd-BookItalic\'),\n           ' + createURLS('circular/circular-std-book-italic'),
        fontStyle: 'italic',
        fontWeight: '400'
      });

      _glamor.css.fontFace({
        fontFamily: 'Segment Circular Std',
        src: 'local(\'Circular Std Medium\'), /* Medium has a spaced font name \xAF\\_(\u30C4)_/\xAF */\n           local(\'CircularStd-Medium\'),\n           ' + createURLS('circular/circular-std-medium'),
        fontStyle: 'normal',
        fontWeight: '500'
      });

      _glamor.css.fontFace({
        fontFamily: 'Segment Circular Std',
        src: 'local(\'Circular Std Bold\'),\n           local(\'CircularStd-Bold\'),\n           ' + createURLS('circular/circular-std-bold'),
        fontStyle: 'normal',
        fontWeight: '600'
      });

      _glamor.css.fontFace({
        fontFamily: 'Segment Circular Std',
        src: 'local(\'Circular Std Black\'),\n           local(\'CircularStd-Black\'),\n           ' + createURLS('circular/circular-std-black'),
        fontStyle: 'normal',
        fontWeight: '900'
      });
    }
  }, {
    key: 'render',
    value: function render() {
      return null;
    }
  }]);

  return Fonts;
}(_react.Component);

exports.default = Fonts;