"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = splitProps;
function splitProps(props, regExp) {
  var matchedProps = {};
  var unmatchedProps = {};

  for (var key in props) {
    if (props.hasOwnProperty(key)) {
      if (key.match(regExp)) {
        matchedProps[key] = props[key];
      } else {
        unmatchedProps[key] = props[key];
      }
    }
  }

  return { matchedProps: matchedProps, unmatchedProps: unmatchedProps };
}