import _extends from 'babel-runtime/helpers/extends';
import _objectWithoutProperties from 'babel-runtime/helpers/objectWithoutProperties';
import React from 'react';
import Icon from './Icon';

var ArchiveIcon = function ArchiveIcon(_ref) {
  var fill = _ref.fill,
      props = _objectWithoutProperties(_ref, ['fill']);

  return React.createElement(
    Icon,
    props,
    React.createElement(
      'svg',
      {
        style: { display: 'block' },
        width: '100%',
        height: '100%',
        fill: fill,
        viewBox: '0 0 14 14',
        xmlns: 'http://www.w3.org/2000/svg'
      },
      React.createElement('path', { d: 'M12.25.7c-.087-.437-.438-.7-.875-.7h-8.75c-.438 0-.788.263-.875.7C1.75.7 0 7.437 0 7.875v5.25c0 .525.35.875.875.875h12.25c.525 0 .875-.35.875-.875v-5.25C14 7.437 12.25.7 12.25.7zM3.325 1.75h7.35L11.987 7H9.625c-.525 0-.875.35-.875.875v1.75h-3.5v-1.75C5.25 7.35 4.9 7 4.375 7H2.013l1.312-5.25z' })
    )
  );
};

ArchiveIcon.displayName = 'ArchiveIcon';

ArchiveIcon.propTypes = _extends({}, Icon.propTypes);

ArchiveIcon.defaultProps = _extends({}, Icon.defaultProps);

export default ArchiveIcon;