import _extends from 'babel-runtime/helpers/extends';
import _objectWithoutProperties from 'babel-runtime/helpers/objectWithoutProperties';
import React from 'react';
import Icon from './Icon';

var PlusCircleIcon = function PlusCircleIcon(_ref) {
  var fill = _ref.fill,
      props = _objectWithoutProperties(_ref, ['fill']);

  return React.createElement(
    Icon,
    props,
    React.createElement(
      'svg',
      {
        style: { display: 'block' },
        width: '100%',
        height: '100%',
        fill: fill,
        viewBox: '0 0 17 17',
        xmlns: 'http://www.w3.org/2000/svg'
      },
      React.createElement('path', { d: 'M13.97 2.657c-3.11-3.11-8.202-3.11-11.313 0-3.11 3.11-3.11 8.202 0 11.314s8.202 3.115 11.314 0c3.115-3.11 3.115-8.2 0-11.31zm-4.666 9.617h-1.98v-2.97h-2.97v-1.98h2.97v-2.97h1.98v2.97h2.97v1.98h-2.97v2.97z' })
    )
  );
};

PlusCircleIcon.displayName = 'PlusCircleIcon';

PlusCircleIcon.propTypes = _extends({}, Icon.propTypes);

PlusCircleIcon.defaultProps = _extends({}, Icon.defaultProps, {
  size: 'small'
});

export default PlusCircleIcon;