import _Object$getPrototypeOf from 'babel-runtime/core-js/object/get-prototype-of';
import _classCallCheck from 'babel-runtime/helpers/classCallCheck';
import _createClass from 'babel-runtime/helpers/createClass';
import _possibleConstructorReturn from 'babel-runtime/helpers/possibleConstructorReturn';
import _inherits from 'babel-runtime/helpers/inherits';
import { Component } from 'react';
import ReactDOM from 'react-dom';
import PropTypes from 'prop-types';

var portalContainer = void 0;

var Portal = function (_Component) {
  _inherits(Portal, _Component);

  function Portal() {
    _classCallCheck(this, Portal);

    var _this = _possibleConstructorReturn(this, (Portal.__proto__ || _Object$getPrototypeOf(Portal)).call(this));

    if (!portalContainer) {
      portalContainer = document.createElement('div');
      portalContainer.setAttribute('data-ui-lib-portal-container', '');
      document.body.appendChild(portalContainer);
    }

    _this.el = document.createElement('div');
    return _this;
  }

  _createClass(Portal, [{
    key: 'componentWillMount',
    value: function componentWillMount() {
      portalContainer.appendChild(this.el);
    }
  }, {
    key: 'componentWillUnmount',
    value: function componentWillUnmount() {
      portalContainer.removeChild(this.el);
    }
  }, {
    key: 'render',
    value: function render() {
      return ReactDOM.createPortal(this.props.children, this.el);
    }
  }]);

  return Portal;
}(Component);

export default Portal;


Portal.propTypes = {
  children: PropTypes.node.isRequired
};