'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _Icon = require('./Icon');

var _Icon2 = _interopRequireDefault(_Icon);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var HelpIcon = function HelpIcon(_ref) {
  var fill = _ref.fill,
      props = _objectWithoutProperties(_ref, ['fill']);

  return _react2.default.createElement(
    _Icon2.default,
    props,
    _react2.default.createElement(
      'svg',
      { style: { display: 'block' }, width: '100%', height: '100%', viewBox: '0 0 16 16', xmlns: 'http://www.w3.org/2000/svg' },
      _react2.default.createElement(
        'g',
        { fill: 'none', fillRule: 'evenodd' },
        _react2.default.createElement('path', { fill: fill, d: 'M7.85 12.07c-.48 0-.865-.394-.865-.875 0-.482.384-.876.865-.876.492 0 .874.392.874.874 0 .48-.382.875-.874.875m1.455-4.235c-.723.558-.788.765-.788 1.137 0 .36-.274.635-.68.635-.414 0-.677-.274-.677-.7 0-.678.13-1.04.82-1.586.526-.415.91-.68.91-1.203 0-.678-.45-.897-.942-.897-.438 0-.678.166-.92.34-.097.055-.196.1-.338.1-.45 0-.69-.34-.69-.646 0-.297.23-.547.482-.69.437-.274.897-.427 1.63-.427 1.06 0 2.286.602 2.286 2.057 0 .93-.536 1.444-1.093 1.882' }),
        _react2.default.createElement('path', { stroke: fill, strokeWidth: '1.5', strokeLinecap: 'round', strokeLinejoin: 'round', d: 'M14.47 7.99c0 3.566-2.892 6.458-6.46 6.458-3.566 0-6.457-2.892-6.457-6.46 0-3.566 2.89-6.457 6.457-6.457 3.568 0 6.46 2.893 6.46 6.46z' })
      )
    )
  );
};

HelpIcon.propTypes = _extends({}, _Icon2.default.propTypes);

HelpIcon.defaultProps = _extends({}, _Icon2.default.defaultProps, {
  size: 'small'
});

exports.default = HelpIcon;