'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _Box = require('./Box');

var _Box2 = _interopRequireDefault(_Box);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var svgString = '\n<svg style="max-height: 100%; max-width: 100%;" viewBox="0 0 84 78" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"><defs><path id="a" d="M78.802 32.94H0V.495h78.802V32.94z"/></defs><g fill="none" fill-rule="evenodd"><g transform="translate(0 45)"><mask id="b" fill="#fff"><use xlink:href="#a"/></mask><path d="M51.926 8.497H4c-2.21 0-4-1.79-4-4s1.79-4 4-4h47.926c2.21 0 4 1.79 4 4s-1.79 4-4 4" fill="#93C8A2" mask="url(#b)"/><path d="M41.65 33c-3.904 0-7.76-.58-11.46-1.727a4 4 0 0 1 2.368-7.644c2.932.91 5.99 1.37 9.092 1.37 13.573 0 25.358-8.71 29.327-21.674a4 4 0 0 1 7.649 2.342C73.622 22.016 58.762 33 41.65 33" fill="#43AF7A" mask="url(#b)"/></g><path d="M79.3 33.175H31.376c-2.21 0-4-1.79-4-4s1.79-4 4-4H79.3c2.21 0 4 1.79 4 4s-1.79 4-4 4" fill="#93C8A2"/><path d="M8.5 33.176a4 4 0 0 1-3.825-5.172C9.68 11.654 24.54.672 41.65.672c3.907 0 7.763.58 11.46 1.728a4 4 0 0 1 2.637 5.005 3.995 3.995 0 0 1-5.005 2.636 30.75 30.75 0 0 0-9.092-1.367c-13.57 0-25.357 8.71-29.326 21.674a4.003 4.003 0 0 1-3.823 2.83" fill="#43AF7A"/><path d="M69.392 13.932a4 4 0 1 1-8 0 4 4 0 0 1 8 0M21.907 64.746a4 4 0 1 1-8 0 4 4 0 0 1 8 0" fill="#93C8A2"/></g></svg>\n';

var SegmentIcon = function SegmentIcon(props) {
  return _react2.default.createElement(_Box2.default, _extends({ height: '100%' }, props, { dangerouslySetInnerHTML: { __html: svgString } }));
};

SegmentIcon.propTypes = _extends({}, _Box2.default.propTypes);

SegmentIcon.defaultProps = _extends({}, _Box2.default.defaultProps);

exports.default = SegmentIcon;