'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.parseProps = exports.propTypes = undefined;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _glamor = require('glamor');

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var propTypes = exports.propTypes = {
  clearfix: _propTypes2.default.bool
};

var cssClearfix = (0, _glamor.css)({
  '&:before, &:after': {
    display: 'table',
    clear: 'both',
    content: '""'
  }
});

var parseProps = function parseProps(_ref) {
  var clearfix = _ref.clearfix,
      className = _ref.className,
      props = _objectWithoutProperties(_ref, ['clearfix', 'className']);

  return _extends({
    className: clearfix ? (0, _classnames2.default)('' + cssClearfix, className) : className
  }, props);
};
exports.parseProps = parseProps;