'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = function (module) {
  (0, _react3.storiesOf)('Pill', module).add('usage', function () {
    return _react2.default.createElement(
      _components.App,
      { white: true },
      _react2.default.createElement(
        _components.Pane,
        { white: true, padding: majorScale(10) },
        _react2.default.createElement(
          _Content2.default,
          { markdown: true },
          '\n# Pill\n\nThe Pill component is a pill-shaped block element.\n\n```\n<Pill>{\'<Pill>\'}</Pill>\n```\n\n'
        ),
        _react2.default.createElement(
          _components.Pill,
          null,
          '<Pill>'
        ),
        _react2.default.createElement(
          _Content2.default,
          { markdown: true },
          '\nprop | version | type | default | description\n-----|---------|------| --------|----------\n`backgroundColor`| v7.13.0 | `string` | `#E365A6` | pill background color\n`textColor`| v7.13.0 | `string` | `white` | pill text color\n`height`| v7.13.0 | `string` | `17px` | height: x;\n`width`| v7.13.0 | `string` | `70px` | width: x;\n'
        )
      )
    );
  });
};

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _react3 = require('@storybook/react');

var _components = require('../components');

var _Content = require('./Content');

var _Content2 = _interopRequireDefault(_Content);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var majorScale = _components.theme.majorScale;